Bug 1015382 - [abrt] gjs-1.36.1-1.fc19: dlmmap_locked: Process /usr/bin/gjs-console was killed by signal 7 (SIGBUS)
[abrt] gjs-1.36.1-1.fc19: dlmmap_locked: Process /usr/bin/gjs-console was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:ac99e71c55e322fe0cfc8f64b73...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 00:55 EDT by striker.pena
Modified: 2015-02-17 12:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:30:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (190.53 KB, text/plain)
2013-10-04 00:55 EDT, striker.pena
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-04 00:55 EDT, striker.pena
no flags Details
File: core_backtrace (21.86 KB, text/plain)
2013-10-04 00:55 EDT, striker.pena
no flags Details
File: dso_list (10.02 KB, text/plain)
2013-10-04 00:55 EDT, striker.pena
no flags Details
File: environ (1.11 KB, text/plain)
2013-10-04 00:55 EDT, striker.pena
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-04 00:55 EDT, striker.pena
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-04 00:56 EDT, striker.pena
no flags Details
File: maps (36.18 KB, text/plain)
2013-10-04 00:56 EDT, striker.pena
no flags Details
File: open_fds (151 bytes, text/plain)
2013-10-04 00:56 EDT, striker.pena
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-10-04 00:56 EDT, striker.pena
no flags Details

  None (edit)
Description striker.pena 2013-10-04 00:55:41 EDT
Version-Release number of selected component:
gjs-1.36.1-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --no-default-window
crash_function: dlmmap_locked
executable:     /usr/bin/gjs-console
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Oct  3 17:07:29 esperanza abrt[15066]: Saved core dump of pid 15055 (/usr/bin/gjs-console) to /var/tmp/abrt/ccpp-2013-10-03-17:07:28-15055 (18685952 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dlmmap_locked at ../src/closures.c:460
 #1 dlmmap at ../src/closures.c:506
 #2 sys_alloc at ../src/dlmalloc.c:3515
 #3 dlmalloc at ../src/dlmalloc.c:4245
 #4 ffi_closure_alloc at ../src/closures.c:572
 #5 g_callable_info_prepare_closure at girepository/girffi.c:365
 #6 gjs_callback_trampoline_new at gi/function.c:475
 #7 gjs_hook_up_vfunc at gi/object.c:2322
 #8 CallJSNative at jscntxtinlines.h:701
 #9 js::Interpret at jsinterp.cpp:4799

Potential duplicate: bug 851966
Comment 1 striker.pena 2013-10-04 00:55:45 EDT
Created attachment 807379 [details]
File: backtrace
Comment 2 striker.pena 2013-10-04 00:55:48 EDT
Created attachment 807380 [details]
File: cgroup
Comment 3 striker.pena 2013-10-04 00:55:50 EDT
Created attachment 807381 [details]
File: core_backtrace
Comment 4 striker.pena 2013-10-04 00:55:53 EDT
Created attachment 807382 [details]
File: dso_list
Comment 5 striker.pena 2013-10-04 00:55:56 EDT
Created attachment 807383 [details]
File: environ
Comment 6 striker.pena 2013-10-04 00:55:59 EDT
Created attachment 807384 [details]
File: exploitable
Comment 7 striker.pena 2013-10-04 00:56:01 EDT
Created attachment 807385 [details]
File: limits
Comment 8 striker.pena 2013-10-04 00:56:04 EDT
Created attachment 807386 [details]
File: maps
Comment 9 striker.pena 2013-10-04 00:56:06 EDT
Created attachment 807387 [details]
File: open_fds
Comment 10 striker.pena 2013-10-04 00:56:09 EDT
Created attachment 807388 [details]
File: proc_pid_status
Comment 11 robert fairb 2014-01-02 00:13:26 EST
Another user experienced a similar problem:

i was performing a test on some new used hard drives baking up an archive deleting files froma archive 

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --no-default-window
crash_function: dlmmap_locked
executable:     /usr/bin/gjs-console
kernel:         3.11.10-200.fc19.i686
package:        gjs-1.36.1-1.fc19
reason:         gjs-console killed by SIGBUS
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Fedora End Of Life 2015-01-09 15:06:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 12:30:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.